/**
 * @class kSys
 * @brief System and console functions
 */
 
class kSys
{
public:

	/**
	 * @brief Prints a message to the console
	 */
	void Print(const kStr &in message);
	
	/**
	 * @brief Prints a yellow message to the console
	 */
	void Warning(const kStr &in message);
	
	/**
	 * @brief Returns the Games current resolution width
	 */
	int VideoWidth();
	
	/**
	 * @brief Returns the Games current resolution height
	 */
	int VideoHeight();
	
	/**
	 * @brief Returns the mouse cursors X position
	 */
	int Mouse_X();
	
	/**
	 * @brief Returns the mouse cursors Y position
	 */
	int Mouse_Y();
	
	/**
	 * @brief Gets a Cvar value with \a name and puts the resulting string value in \a result. Returns true if Cvar was found.
	 */
	const bool GetCvarValue(const kStr &in name, kStr &out result);
};
